!!!
%html
  %head
    %title Tumblr
    = csrf_meta_tags
    = stylesheet_link_tag 'application', 'http://fonts.googleapis.com/css?family=Raleway:400,700'
    = stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload'
    = favicon_link_tag 'favicon.ico'
    = javascript_include_tag 'application', 'data-turbolinks-track': 'reload'
  %body
    #sidebar
      %ul
        %li.category #{link_to 'Tumblr', root_path}
        %li #{link_to 'Posts', root_path}
        %li
          =link_to 'About', about_path
        - if !user_signed_in?
          %li.sign_in
            = link_to 'User Login', new_user_session_path

      -# %p.sign_in User Login

    #main_content
      #header
        - if current_page?(root_path) || current_page?(posts_path)
          %p Post Feed
        - elsif current_page?(about_path)
          %p My Site
        - else
          = link_to 'Back to Post Feed', root_path
        - if user_signed_in?
          .buttons
            %button.button
              =link_to 'Make Post', new_post_path
            %button.button
              = link_to 'Sign Out', destroy_user_session_path, method: :delete

      - flash.each do |name, msg|
        = content_tag(:div, msg, class: 'alert')
      = yield

-# <!DOCTYPE html>
-# <html>
-#   <head>
-#     <title>Tumblr</title>
-#     <%= csrf_meta_tags %>
-#     <%= stylesheet_link_tag 'application', 'http://fonts.googleapis.com/css?family=Raleway:400,700' %>
-#     <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
-#     <%= favicon_link_tag 'favicon.ico' %>
-#     <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
-#   </head>
-#
-#   <body>
-#     <%= yield %>
-#   </body>
-# </html>
